import request from '/@/utils/request';

/**
 * @summary  获取设备最近状态列表
 */
export const GetStationPreviewEquipmentLastStatusList = async (params, req: any = request) => {
	return req({
		url: '/Phm/Station/Preview/GetEquipmentLastStatusList@V1.0',
		method: 'GET',
		params,
	});
};

/**
 * @summary  获取设备时间区间内得评价记录列表
 */
export const GetStationPreviewEquipmentEvaluateRecordList = async (params, req: any = request) => {
	return req({
		url: '/Phm/Station/Preview/GetEquipmentEvaluateRecordList@V1.0',
		method: 'GET',
		params,
	});
};

/**
 * @summary  获取时间区间内未验证预警数量列表
 */
export const GetStationPreviewTrendNotYetAlarmCountList = async (params, req: any = request) => {
	return req({
		url: '/Phm/Station/Preview/GetTrendNotYetAlarmCountList@V1.0',
		method: 'GET',
		params,
	});
};

/**
 * @summary  获取时间区间内趋势未验证预警分页列表
 */
export const GetStationPreviewTrendNotYetAlarmPageList = async (params, req: any = request) => {
	return req({
		url: '/Phm/Station/Preview/GetTrendNotYetAlarmPageList@V1.0',
		method: 'GET',
		params,
	});
};

/**
 * @summary  获取时间区间内设备报警数量列表
 */
export const GetStationPreviewFaultAlarmCountList = async (params, req: any = request) => {
	return req({
		url: '/Phm/Station/Preview/GetFaultAlarmCountList@V1.0',
		method: 'GET',
		params,
	});
};

/**
 * @summary  获取时间区间内故障诊断报告分页列表
 */
export const GetStationPreviewFaultReportPageList = async (params, req: any = request) => {
	return req({
		url: '/Phm/Station/Preview/GetFaultReportPageList@V1.0',
		method: 'GET',
		params,
	});
};
